Name:          vst3sdk
Version:       3.7.13_build_42
Release:       1mamba
Summary:       VST 3 Plug-In SDK
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/steinbergmedia/vst3sdk
Source:        https://github.com/steinbergmedia/vst3sdk.git/v%{version}/vst3sdk-%{version}.tar.bz2
Source1:       vst3sdk.pc
Patch0:        vst3sdk-3.7.7_build_19-include_limits.patch
License:       GPL
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
VST 3 Plug-In SDK.

%prep
%setup -q

%build
#% cmake -d build
#% make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a * %{buildroot}%{_datadir}/%{name}/

install -D -m0644 cmake/modules/*.cmake -t %{buildroot}%{_datadir}/cmake/%{name}/

install -D -m0644 %{SOURCE1} %{buildroot}%{_libdir}/pkgconfig/vst3sdk.pc
sed -i "s|VERSION|%{version}|" %{buildroot}%{_libdir}/pkgconfig/vst3sdk.pc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%dir %{_datadir}/cmake/vst3sdk
%{_datadir}/cmake/vst3sdk/*.cmake
%{_libdir}/pkgconfig/vst3sdk.pc
%doc LICENSE.txt

%changelog
* Mon Mar 03 2025 Automatic Build System <autodist@openmamba.org> 3.7.13_build_42-1mamba
- automatic version update by autodist

* Sun Jul 28 2024 Automatic Build System <autodist@openmamba.org> 3.7.12_build_20-1mamba
- automatic version update by autodist

* Tue Apr 30 2024 Automatic Build System <autodist@openmamba.org> 3.7.11_build_10-1mamba
- automatic version update by autodist

* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 3.7.10_build_14-1mamba
- automatic update by autodist

* Wed Nov 22 2023 Automatic Build System <autodist@mambasoft.it> 3.7.9_build_61-1mamba
- automatic version update by autodist

* Sun May 28 2023 Automatic Build System <autodist@mambasoft.it> 3.7.8_build_34-1mamba
- automatic version update by autodist

* Tue Dec 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.7.7_build_19-1mamba
- package created using the webbuild interface
